## openpgp-applet 1.1

=== po/Makefile ===
# Makefile for various po files.

srcdir = .
destdir = $(DESTDIR)$(PREFIX)

#CATALOGS = $(addsuffix .po, LINGUAS)
CATALOGS = $(LINGUAS)
MO_FILES = $(addsuffix .mo, $(LINGUAS))

MSGMERGE = msgmerge
MSGFMT   = msgfmt
XGETTEXT = xgettext
CATOBJEXT = .po

include PACKAGE

TD = $(strip $(TEXTDOMAIN))

default: help

all: $(TD).pot update-po update-mo

help:
	@echo "Available targets:"
	@echo "  pot                       - remake master catalog"
	@echo "  update-po                 - merge po files"
	@echo "  update-mo                 - regenerate mo files"
	@echo "  install                   - install mo files"
	@echo "  all			   - all of the above"

POTFILES = $(srcdir)/POTFILES.in \
	$(shell cat $(srcdir)/POTFILES.in) 

pot: $(TD).pot 

clean:
	rm -f *~ *.bak *.mo

# FIXME: The parameter --from-code is only needed if your sources contain
# any 8 bit data (even in comments).  UTF-8 is only a guess here, but it
# will at least accept any 8 bit data.
#
# The parameter "--language=perl" is not strictly needed because the
# source language of all our files will be auto-detected by xgettext
# by their filename extension.  You should even avoid this parameter
# if you want to extract strings from multiple source languages.
$(TD).pot: $(POTFILES)
	$(XGETTEXT) --output=$(srcdir)/$(TD).pox --from-code=utf-8 \
		--add-comments=TRANSLATORS: --files-from=$(srcdir)/POTFILES.in \
		--copyright-holder="$(COPYRIGHT_HOLDER)" \
		--msgid-bugs-address="$(MSGID_BUGS_ADDRESS)" \
		--language=perl && \
	rm -f $@ && mv $(TD).pox $@

install: $(MO_FILES)
	cd $(srcdir); \
	targetdir='$(destdir)/share/locale'; \
	languages='$(LINGUAS)'; \
	for lang in $$languages; do \
		mkdir -p "$$targetdir/$$lang/LC_MESSAGES" || exit 1; \
		dest="$$targetdir/$$lang/LC_MESSAGES/$(TD).mo"; \
		cat="$$lang.mo"; \
		echo "installing $$cat as $$dest"; \
		cp -f $$cat $$dest && chmod 644 $$dest || exit 1; \
	done

update-mo: $(MO_FILES)

update-po:
	$(MAKE) $(TD).pot
	cd $(srcdir); \
        catalogs='$(CATALOGS)'; \
        for cat in $$catalogs; do \
          cat=`basename $$cat`; \
          lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
          mv $$lang.po $$lang.old.po; \
          echo "$$lang:"; \
          if $(MSGMERGE) $$lang.old.po $(TD).pot -o $$lang.po; then \
            rm -f $$lang.old.po; \
          else \
            echo "msgmerge for $$cat failed!"; \
            rm -f $$lang.po; \
            mv $$lang.old.po $$lang.po; \
          fi; \
        done

.SUFFIXES:
.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) --check --statistics --verbose -o $@ $<

## openpgp-applet 0.9.1

=== debian/changelog ===
openpgp-applet (0.9.1-1) unstable; urgency=medium

  [ Clément Hermann ]
  * Import upstream version 0.9.1
  * New upstream release :
      - Add confirmation on exit
      - Replaced pixmaps with new ones with a DFSG-compatible license
      - Allow one to open a text editor from the applet
      - Fix bug preventing to clearsign non-ascii text
  * Add missing build/runtimes deps:
      - libtest-most-perl (build only)
      - libfile-sharedir-install-perl (build only)
      - libenv-path-perl (build only)
      - libgnupg-interface-perl
      - libintl-perl
      - libmoo-perl (>= 0.50)
      - xclip (runtime only)
  * Removed unused build-dep on ExtUtils::MakeMaker.
  * Removed useless versioned depend to perl.
  * Recommends: pinentry-gnome3 | pinentry-x11: the former is nicer on
    Stretch, the latter is a virtual package that similar programs can
    provide.
  * Move seahorse from Recommends to Depends as it's needed for the "Manage
    keys" menu entry.
  * Correct name in description.
  * Rephrase long description and update it wrt. the recommended passphrase
    entry program and features supported.
  * Change Maintainer to pkg-perl, add Uploaders.
  * Add Vcs-* control fields.
  * Add debian/upstream/metadata.
  * Update copyright info for pixmaps.
  * Adjust license for Debian packaging.
  * Add debian/watch file (with signature check).
  * Add .desktop file.
  * Add symlink to desktop file in /etc/xdg/autostart.
  * Add debian/menu file.
  * Bump Standards-Version to 3.9.6 (no change).

  [ intrigeri ]
  * Disable the requires_external.t test: requiring xclip at build time
    is useless in the context of Debian.
  * Tweak autopkgtests so that the only module we ship is tested.
  * debian/control: rephrase long description a bit more.

 -- Clément Hermann <nodens@nodens.org>  Tue, 18 Aug 2015 15:29:57 +0200

openpgp-applet (0.8-2) unstable; urgency=low

  * Move to git-buildpackage workflow
  * add correct debian/gbp.conf

 -- Clément Hermann (nodens) <nodens@nodens.org>  Wed, 30 Jul 2014 12:41:00 +0200

openpgp-applet (0.8-1) unstable; urgency=low

  * Initial Release (Closes: #756404)

 -- Clément Hermann (nodens) <nodens@nodens.org>  Tue, 29 Jul 2014 13:52:10 +0200

=== debian/control ===
Source: openpgp-applet
Section: x11
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Clément Hermann <nodens@nodens.org>, intrigeri <intrigeri@debian.org>
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/openpgp-applet.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/openpgp-applet.git/
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libany-moose-perl,
 libdatetime-perl,
 libenv-path-perl,
 libfile-sharedir-install-perl (>= 0.06),
 libfile-sharedir-perl,
 libglib-perl,
 libgnupg-interface-perl,
 libgtk2-perl,
 libintl-perl,
 liblist-moreutils-perl,
 liblocale-gettext-perl,
 libmoo-perl (>= 0.50),
 libnamespace-autoclean-perl,
 libtest-most-perl,
 perl
Standards-Version: 3.9.6
Homepage: https://openpgp-applet.alioth.debian.org/
Testsuite: autopkgtest-pkg-perl

Package: openpgp-applet
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libany-moose-perl,
 libdatetime-perl,
 libfile-sharedir-perl,
 libglib-perl,
 libgnupg-interface-perl,
 libgtk2-perl,
 libintl-perl,
 liblist-moreutils-perl,
 liblocale-gettext-perl,
 libmoo-perl (>= 0.50),
 libnamespace-autoclean-perl,
 seahorse,
 xclip
Recommends: pinentry-gnome3 | pinentry-x11
Description: GNOME applet for OpenPGP text encryption
 OpenPGP Applet is a graphical frontend on top of GnuPG.
 .
 It allows encryption and decryption of the clipboard's content either
 with public key cryptography, or with a symmetric cipher using a passphrase.
 Creating and verifying clear text signatures is also supported.
 .
 Note: OpenPGP Applet does not handle passphrase input. Since it also does not
 offer terminal interaction unless explicitly run from there, it relies in
 practice on GnuPG agent to be running and configured to use a passphrase entry
 dialog, such as pinentry-gnome3.

=== debian/watch ===
# watch control file for uscan
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://openpgp-applet.alioth.debian.org/web/releases/OpenPGP_Applet-(.+)\.tar\.gz debian uupdate

## openpgp-applet 1.0

=== debian/changelog ===
openpgp-applet (1.0-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Run dh-auto-tests with xvfb

  [ Clément Hermann ]
  * Import upstream version 1.0:
      - gpg2 for improved compatibility with smartcards and modern crypto,
      - porting to Gtk+ 3,
      - drop xlip dependency.
  * Update dependencies for new release:
      - added libmodule-pluggable-perl
      - added libgtk3-simplelist-perl
      - replaced libgtk2-perl by libgtk3-perl
      - added gpg2 (runtime only)
      - dropped xclip
  * Refresh patches - no more xclip, but gpg2
  * Unapply patches from source
  * debian/copyright: fix Source URL and upstream contact
  * Drop debian/menu file to comply with tech-ctte decision on #741573
  * debian/control: bump standard version (no changes)
  * Added bin/ to debian/tests/pkg-perl/smoke-files to avoid autopkgtest failure

 -- Clément Hermann <nodens@nodens.org>  Mon, 24 Oct 2016 19:39:24 +0200

=== debian/control ===
--- 
+++ 
@@ -13,34 +13,40 @@
  libfile-sharedir-perl,
  libglib-perl,
  libgnupg-interface-perl,
- libgtk2-perl,
+ libgtk3-perl,
+ libgtk3-simplelist-perl,
  libintl-perl,
  liblist-moreutils-perl,
  liblocale-gettext-perl,
+ libmodule-pluggable-perl,
  libmoo-perl (>= 0.50),
  libnamespace-autoclean-perl,
  libtest-most-perl,
- perl
-Standards-Version: 3.9.6
+ perl,
+ xauth,
+ xvfb
+Standards-Version: 3.9.8
 Homepage: https://openpgp-applet.alioth.debian.org/
 Testsuite: autopkgtest-pkg-perl
 
 Package: openpgp-applet
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
+ gnupg2,
  libany-moose-perl,
  libdatetime-perl,
  libfile-sharedir-perl,
  libglib-perl,
  libgnupg-interface-perl,
- libgtk2-perl,
+ libgtk3-perl,
+ libgtk3-simplelist-perl,
  libintl-perl,
  liblist-moreutils-perl,
  liblocale-gettext-perl,
  libmoo-perl (>= 0.50),
+ libmodule-pluggable-perl,
  libnamespace-autoclean-perl,
- seahorse,
- xclip
+ seahorse
 Recommends: pinentry-gnome3 | pinentry-x11
 Description: GNOME applet for OpenPGP text encryption
  OpenPGP Applet is a graphical frontend on top of GnuPG.

=== debian/watch ===
# watch control file for uscan
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://openpgp-applet.alioth.debian.org/web/releases/OpenPGP_Applet-(.+)\.tar\.gz

## openpgp-applet 1.1

=== debian/changelog ===
openpgp-applet (1.1-4) unstable; urgency=medium

  [ intrigeri ]
  * Remove myself from Uploaders

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on
      libfile-sharedir-install-perl and libmoo-perl.
    + openpgp-applet: Drop versioned constraint on libmoo-perl in Depends.

  [ Clément Hermann ]
  * Depends on gpg2 package, until upstream is patched for checking gpg
    version instead of using gpg2
  * switch to debian.org address in Uploaders
  * d/copyright: update debian/* information
  * d/control: add <!nocheck> tags
  * d/copyright: fix spelling error
  * Specify Rules-Requires-Root
  * d/control: add gnome-shell-extension recommends for systray support
  * d/copyright: update info for debian/*
  * Declare compliance with Debian Policy 4.7.2.
  * Finally upload version sitting in VCS (Closes: #1109426)

 -- Clément Hermann <nodens@debian.org>  Fri, 26 Sep 2025 11:49:33 +0200

openpgp-applet (1.1-3) unstable; urgency=medium

  * Relax a bit the versioned dependency on gnupg so it can be satisfied
    on Stretch.

 -- intrigeri <intrigeri@debian.org>  Sat, 08 Dec 2018 08:27:39 +0000

openpgp-applet (1.1-2) unstable; urgency=medium

  * d/control:
    - depends on gnupg >= 2.1 instead of gnupg2 (Closes: #911853)
    - bump Standards-Version (no change)

 -- Clément Hermann <nodens@nodens.org>  Fri, 07 Dec 2018 22:26:11 +0100

openpgp-applet (1.1-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ gregor herrmann ]
  * debian/copyright: replace full CC0-1.0 text with pointer to
    /usr/share/common-licenses/CC0-1.0.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Clément Hermann ]
  * update watch file after upstream move to Salsa
  * update upstream urls (VCS, Homepage, source) after move to Salsa
  * debian/gbp.conf: ignore upstream .gitignore
  * Import upstream version 1.1
  * Bump debhelper compatibility level to 10

 -- Clément Hermann <nodens@nodens.org>  Mon, 26 Feb 2018 19:42:54 +0100

openpgp-applet (1.0-2) unstable; urgency=medium

  [ intrigeri ]
  * Drop libany-moose-perl {build,runtime} dependency,
    following upstream's lead.

  [ Clément Hermann ]
  * Fix name in .Desktop to match Upstream
  * debian/upstream/metadata: update Contact
  * Update desktop menu entry to comply with Freedesktop.org specifications
  * debian/watch: bump version (no change)
  * bump Standards-Version to 4.1.1 (no change)

 -- Clément Hermann <nodens@nodens.org>  Fri, 06 Oct 2017 00:17:54 +0200

=== debian/control ===
Source: openpgp-applet
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Clément Hermann <nodens@debian.org>
Section: x11
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libdatetime-perl,
                     libenv-path-perl,
                     libfile-sharedir-install-perl,
                     libfile-sharedir-perl,
                     libglib-perl,
                     libgnupg-interface-perl,
                     libgtk3-perl,
                     libgtk3-simplelist-perl,
                     libintl-perl,
                     liblist-moreutils-perl,
                     liblocale-gettext-perl,
                     libmodule-pluggable-perl,
                     libmoo-perl,
                     libnamespace-autoclean-perl,
                     libtest-most-perl <!nocheck>,
                     perl,
                     xauth <!nocheck>,
                     xvfb <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/openpgp-applet
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/openpgp-applet.git
Homepage: https://openpgp-applet-team.pages.debian.net/
Rules-Requires-Root: no

Package: openpgp-applet
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         gnupg (>= 2.1.18-8~),
         gnupg2,
         libdatetime-perl,
         libfile-sharedir-perl,
         libglib-perl,
         libgnupg-interface-perl,
         libgtk3-perl,
         libgtk3-simplelist-perl,
         libintl-perl,
         liblist-moreutils-perl,
         liblocale-gettext-perl,
         libmodule-pluggable-perl,
         libmoo-perl,
         libnamespace-autoclean-perl,
         seahorse
Recommends: gnome-shell-extension-appindicator | gnome-shell-extension-status-icons,
            pinentry-gnome3 | pinentry-x11
Description: GNOME applet for OpenPGP text encryption
 OpenPGP Applet is a graphical frontend on top of GnuPG.
 .
 It allows encryption and decryption of the clipboard's content either
 with public key cryptography, or with a symmetric cipher using a passphrase.
 Creating and verifying clear text signatures is also supported.
 .
 Note: OpenPGP Applet does not handle passphrase input. Since it also does not
 offer terminal interaction unless explicitly run from there, it relies in
 practice on GnuPG agent to be running and configured to use a passphrase entry
 dialog, such as pinentry-gnome3.

=== debian/watch ===
# watch control file for uscan
version=4
opts="pgpmode=next" \
  https://salsa.debian.org/openpgp-applet-team/openpgp-applet/tags \
  /openpgp-applet-team/openpgp-applet/uploads/.*/OpenPGP_Applet-@ANY_VERSION@@ARCHIVE_EXT@ debian
opts="pgpmode=previous" \
  https://salsa.debian.org/openpgp-applet-team/openpgp-applet/tags \
  /openpgp-applet-team/openpgp-applet/uploads/.*/OpenPGP_Applet-@ANY_VERSION@@SIGNATURE_EXT@ uupdate
